/*
 * TChunkPath.java
 *
 * Created on 2005/06/28
 * Copyright 2005 Takeshi Yoneki / OSTRA / OSTRACISM CO., All rights reserved.
 */
package jp.maccreators.ostra.ggg4j;

import java.io.OutputStream;
import java.nio.ByteBuffer;

/**
 * TChunkPath `NpXNX
 */
public class TChunkPath extends TChunk {
	public String m_path;

	public TChunkPath() {
		m_ckID = CKID_PATH;
	}
	
	/**
	 * ǂݍݍς݃`N̕ϊ
	 */
	public TChunkPath(TChunk ck) {
		m_ckID = ck.m_ckID;
		m_ckSize = ck.m_ckSize;
		m_data = ck.m_data;

		try {
			m_path = new String(m_data.array(), "UTF-8");
		}
		catch (Exception e) {
		}
	}

	/**
	 * o
	 */
	public int write(OutputStream stream) {
		try {
			m_data = ByteBuffer.wrap(m_path.getBytes("UTF-8"));
		}
		catch (Exception e) {
			return 0;
		}
		return super.write(stream);
	}
}
